Bug 1631557 - Unable to provision VM with "choose automatic option"
Summary: Unable to provision VM with "choose automatic option"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Lucy Fu
QA Contact: Jaroslav Henner
URL:
Whiteboard:
Depends On: 1617520
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-20 20:53 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
7 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1617520
Environment:
Last Closed: 2018-11-05 13:59:40 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 2 CFME Bot 2018-09-20 21:02:37 UTC
New commit detected on ManageIQ/manageiq-content/gaprindashvili:

https://github.com/ManageIQ/manageiq-content/commit/85361f3a61f3d8e1ce5bdf2435b87712209c45c5
commit 85361f3a61f3d8e1ce5bdf2435b87712209c45c5
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Thu Sep 20 15:57:05 2018 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Thu Sep 20 15:57:05 2018 -0400

    Merge pull request #420 from lfu/storage_profile_1617520

    Add storage profile support in vmware_best_fit_least_utilized method.

    (cherry picked from commit 925e25be65f7badb183d9958fd2c64bafdcfc1b4)

    https://bugzilla.redhat.com/show_bug.cgi?id=1631557

 content/automate/ManageIQ/Infrastructure/VM/Provisioning/Placement.class/__methods__/vmware_best_fit_least_utilized.rb | 97 +-
 spec/automation/unit/method_validation/vmware_best_fit_least_utilized_spec.rb | 99 -
 spec/content/automate/ManageIQ/Infrastructure/VM/Provisioning/Placement.class/__methods__/vmware_best_fit_least_utilized_spec.rb | 152 +
 3 files changed, 219 insertions(+), 129 deletions(-)

Comment 3 CFME Bot 2018-09-20 21:03:37 UTC
New commit detected on ManageIQ/manageiq-automation_engine/gaprindashvili:

https://github.com/ManageIQ/manageiq-automation_engine/commit/21724b2f9cb05b7bf77368f93b75129273a8a91d
commit 21724b2f9cb05b7bf77368f93b75129273a8a91d
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Sep  5 07:47:36 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Wed Sep  5 07:47:36 2018 -0400

    Merge pull request #219 from lfu/storage_profile_1617520

    Expose storage_profiles association in Storage's service model.

    (cherry picked from commit dae65e384196a2fcdcaf24ff7a2865b7e9918418)

    https://bugzilla.redhat.com/show_bug.cgi?id=1631557

 lib/miq_automation_engine/service_models/miq_ae_service_storage.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 5 Jaroslav Henner 2018-10-24 12:29:44 UTC
I tried the steps in the bug description and it works.

Comment 7 errata-xmlrpc 2018-11-05 13:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.